> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Uninstall a Domino Official Extension

> Synchronously deletes or archives all Domino resources (app, environment, project, extension record) associated with any install or upgrade for this official extension. If any exception happens during this synchronous operation, the 202 response body includes details about the failure. The remaining cleanup work then happens asynchronously in the background, and the client is immediately able (if desired) to try a fresh install of the extension.




## OpenAPI

````yaml /api-specs/cloud/public-api.yaml post /api/extensions/beta/official-installs/{id}/uninstall
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: cloud
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: Extensions
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: PersonalAccessToken
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsCommits
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/extensions/beta/official-installs/{id}/uninstall:
    post:
      tags:
        - Extensions
      summary: Uninstall a Domino Official Extension
      description: >
        Synchronously deletes or archives all Domino resources (app,
        environment, project, extension record) associated with any install or
        upgrade for this official extension. If any exception happens during
        this synchronous operation, the 202 response body includes details about
        the failure. The remaining cleanup work then happens asynchronously in
        the background, and the client is immediately able (if desired) to try a
        fresh install of the extension.
      operationId: uninstallOfficialExtension
      parameters:
        - description: The id of the OfficialExtensionInstall record.
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UninstallOfficialExtensionResponse'
          description: >-
            Accepted. If cleanup completed fully, message is absent. If cleanup
            partially failed, message describes what failed and the remaining
            resources will be cleaned up automatically in the background.
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    UninstallOfficialExtensionResponse:
      properties:
        message:
          description: >-
            Present when cleanup partially failed. Describes what failed; the
            remaining resources will be cleaned up automatically.
          type: string
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
  responses:
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````